package services;

import models.UpgradePackage;
import repositories.UpgradePackageRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UpgradePackageService {

    @Autowired
    private UpgradePackageRepository repository;

    public List<UpgradePackage> getAllPackages() {
        return repository.findAll();
    }

    public UpgradePackage savePackage(UpgradePackage upgradePackage) {
        return repository.save(upgradePackage);
    }
}
