package services;

import models.UpgradeTask;
import repositories.UpgradeTaskRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UpgradeTaskService {

    @Autowired
    private UpgradeTaskRepository repository;

    public List<UpgradeTask> getAllTasks() {
        return repository.findAll();
    }

    public UpgradeTask saveTask(UpgradeTask upgradeTask) {
        return repository.save(upgradeTask);
    }
}